PThread::Times Struct Reference

Times for execution of the thread. More...

`#include <thread.h>`

## Public Attributes

PTimeInterval | m_real
| Total real time since thread start in milliseconds. More...
PTimeInterval | m_kernel
| Total kernel CPU time in milliseconds. More...
PTimeInterval | m_user
| Total user CPU time in milliseconds. More...

## Friends

ostream & | operator<< (ostream &strm, const Times &times)

## Detailed Description

Times for execution of the thread.

## Friends And Related Function Documentation

## operator<<

ostream& operator<< | ( | ostream & | strm,
|  | const Times & | times
| ) |  |

friend

## Member Data Documentation

## m_kernel

PTimeInterval PThread::Times::m_kernel

Total kernel CPU time in milliseconds.

## m_real

PTimeInterval PThread::Times::m_real

Total real time since thread start in milliseconds.

## m_user

PTimeInterval PThread::Times::m_user

Total user CPU time in milliseconds.

The documentation for this struct was generated from the following file:

- thread.h